View Issue Details

IDProjectCategoryView StatusLast Update
0036861FPCInstallerpublic2020-05-02 01:48
ReporterTrevor Roydhouse Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAppleOSmacOS 
Product Version3.0.4 
Fixed in Version3.3.1 
Summary0036861: man page for fp
DescriptionIt would appear that the fp text mode IDE is not supported on macOS, but the man page for fp is installed (in an incorrect /usr/local/man... instead of /usr/local/share/man/... see bug https://bugs.freepascal.org/view.php?id=35969) claiming it supports macOS.

As well as 3.0.4, this also occurs with 3.2.0RC1 (not listed in the product version options to choose).
Steps To ReproduceInstall 3.0.4 or 3.2.0RC1 on macOS
Tagsdocumentation, IDE, MacOS, man pages
Fixed in Revision1478
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Trevor Roydhouse

2020-05-02 01:48

reporter   ~0122591

Excellent. Thanks!

Issue History

Date Modified Username Field Change
2020-04-03 07:42 Trevor Roydhouse New Issue
2020-04-03 07:44 Trevor Roydhouse Tag Attached: documentation
2020-04-03 07:44 Trevor Roydhouse Tag Attached: IDE
2020-04-03 07:44 Trevor Roydhouse Tag Attached: man pages
2020-04-25 01:07 Trevor Roydhouse Tag Attached: MacOS
2020-05-01 17:28 Jonas Maebe Assigned To => Jonas Maebe
2020-05-01 17:28 Jonas Maebe Status new => resolved
2020-05-01 17:28 Jonas Maebe Resolution open => fixed
2020-05-01 17:28 Jonas Maebe Fixed in Version => 3.3.1
2020-05-01 17:28 Jonas Maebe Fixed in Revision => 1478
2020-05-01 17:28 Jonas Maebe FPCTarget => 3.2.0
2020-05-02 01:48 Trevor Roydhouse Status resolved => closed
2020-05-02 01:48 Trevor Roydhouse Note Added: 0122591